summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorYongqin Liu <yongqin.liu@linaro.org>2017-11-08 00:52:05 +0800
committerYongqin Liu <yongqin.liu@linaro.org>2017-11-08 00:52:05 +0800
commit51ec25196c21401339339f1d2001b8dac7f1a474 (patch)
tree860358f20055e6f96c79d6c31302f6f287e7c66a
parent9c509b311fe3570dc1611455309a1c8c42ef7212 (diff)
android tjbench/stringbench/libc-bench: do not report fail when only 32bit exist
On 32bit android, 64bit command does not exist, should not report failures for such cases Change-Id: I7639d9c297d20d5daaa92d345b6713a07ebb399f Signed-off-by: Yongqin Liu <yongqin.liu@linaro.org>
-rwxr-xr-xautomated/android/libc-bench/libc-bench.sh3
-rwxr-xr-xautomated/android/stringbench/stringbench.sh3
-rwxr-xr-xautomated/android/tjbench/tjbench.sh7
3 files changed, 7 insertions, 6 deletions
diff --git a/automated/android/libc-bench/libc-bench.sh b/automated/android/libc-bench/libc-bench.sh
index 78f4054..594bb28 100755
--- a/automated/android/libc-bench/libc-bench.sh
+++ b/automated/android/libc-bench/libc-bench.sh
@@ -62,8 +62,7 @@ parse_log() {
for test in libcbench libcbench64; do
if ! adb_shell_which "${test}"; then
- report_fail "check-${test}-existence"
- exit 0
+ continue
fi
info_msg "device-${ANDROID_SERIAL}: About to run ${test}..."
diff --git a/automated/android/stringbench/stringbench.sh b/automated/android/stringbench/stringbench.sh
index 95a1ccb..6d4f821 100755
--- a/automated/android/stringbench/stringbench.sh
+++ b/automated/android/stringbench/stringbench.sh
@@ -48,8 +48,7 @@ parser() {
for test in stringbench stringbench64; do
info_msg "device-${ANDROID_SERIAL}: About to run ${test}"
if ! adb_shell_which "${test}"; then
- report_fail "check-${test}-existence"
- exit 0
+ continue
fi
adb shell "${test}" | tee "${OUTPUT}/${test}.log"
parser "${OUTPUT}/${test}.log" "${test}"
diff --git a/automated/android/tjbench/tjbench.sh b/automated/android/tjbench/tjbench.sh
index 6961e66..ba56b4d 100755
--- a/automated/android/tjbench/tjbench.sh
+++ b/automated/android/tjbench/tjbench.sh
@@ -48,9 +48,9 @@ parse_log() {
| tee -a "${RESULT_FILE}"
}
-if adb_shell_which "tjbench32" && adb_shell_which "tjbench64"; then
+if adb_shell_which "tjbench32" || adb_shell_which "tjbench64"; then
cmd_name="tjbench"
-elif adb_shell_which "tj32" && adb_shell_which "tj64"; then
+elif adb_shell_which "tj32" || adb_shell_which "tj64"; then
cmd_name="tj"
else
report_fail "check_cmd_existence"
@@ -64,6 +64,9 @@ for img in ${IMGS}; do
img_path="/data/local/tmp/tjbench/${img}"
for test in ${cmd_name}32 ${cmd_name}64; do
+ if ! adb_shell_which "${test}"; then
+ continue
+ fi
img_name="$(echo "${img}" | sed 's/[.]/_/g')"
case "${test}" in
${cmd_name}32) prefix="32bit_${img_name}" ;;